import { ParsedLoadableConfiguration, LoadableConfiguration } from './ConfigurationLoading/LoadableConfiguration';
import { ValidatableConfiguration } from './ConfigurationValidation/ValidatableConfiguration';
import { ParsableConfiguration } from './ConfigurationParsing/ParsableConfiguration';
export interface WithValidatableBuildable<TConfiguration, TLoaderOptions> {
    validatingWith(validatable: ValidatableConfiguration<TConfiguration>): ComposedConfigurationFactory<TConfiguration, TLoaderOptions>;
}
export interface ComposedConfigurationFactory<TConfiguration, TLoaderOptions> {
    create(options: TLoaderOptions): Promise<TConfiguration>;
}
export declare const fromParsedLoadable: <TParsedConfiguration, TOutputConfiguration extends TParsedConfiguration, TLoaderOptions>(parsable: ParsedLoadableConfiguration<TParsedConfiguration, TLoaderOptions>) => WithValidatableBuildable<TOutputConfiguration, TLoaderOptions>;
interface WithParsable<TConfiguration, TLoaderOptions> {
    parsingWith(parsable: ParsableConfiguration): WithValidatableBuildable<TConfiguration, TLoaderOptions>;
}
export declare const fromLoadable: <TConfiguration, TLoaderOptions>(loadable: LoadableConfiguration<TLoaderOptions>) => WithParsable<TConfiguration, TLoaderOptions>;
export {};
//# sourceMappingURL=Compose.d.ts.map