/// <reference types="node" />
import fs from 'fs';
import { LoadableConfiguration } from '../LoadableConfiguration';
export declare type FileLoaderOptions = {
    fileLocation: string;
};
export declare type FileLoaderDependencies = {
    readFile: typeof fs.promises.readFile;
    exists: typeof fs.existsSync;
    access: typeof fs.promises.access;
};
export declare const loaderName: string;
export declare const defaultFileLoaderDependencies: {
    readFile: typeof fs.promises.readFile;
    exists: typeof fs.existsSync;
    access: typeof fs.promises.access;
};
/**
 * Creates a configuration file loader.
 * @param options
 * @param dependencies
 */
export declare const configurationFileLoader: (dependencies?: FileLoaderDependencies) => LoadableConfiguration<FileLoaderOptions>;
//# sourceMappingURL=ConfigurationFileLoader.d.ts.map