/**
 * A parsable configuration is able to un-serialize a piece of configuration.
 */
export interface ParsableConfiguration {
    parse(rawConfiguration: string): any;
    /**
     * Returns true if the configuration can be parsed.
     * @param rawConfiguration
     */
    supports(rawConfiguration: string): boolean;
}
/**
 * Thrown when something went wrong while parsing a configuration.
 */
export declare class ConfigurationParsingError extends Error {
    readonly parserName: string;
    readonly innerError: unknown | undefined;
    constructor(message: string, parserName: string, innerError?: unknown);
    hasInnerError(): boolean;
}
export declare const isConfigurationParsingError: (something: any) => something is ConfigurationParsingError;
//# sourceMappingURL=ParsableConfiguration.d.ts.map