/**
 * A ValidatableConfiguration is able to validate a piece of configuration.
 */
export interface ValidatableConfiguration<TConfiguration> {
    validate(unvalidatedConfiguration: unknown): Promise<TConfiguration>;
}
export declare class ConfigurationValidationError extends Error {
    readonly validatorName: string;
    readonly innerError: unknown | undefined;
    constructor(message: string, validatorName: string, innerError?: unknown);
    hasInnerError(): boolean;
}
export declare const isConfigurationValidationError: (something: any) => something is ConfigurationValidationError;
//# sourceMappingURL=ValidatableConfiguration.d.ts.map